## kernel-patch-tekram-dc3x5 1.41

=== Makefile ===
# Makefile for the dc395x_trm (TRM-S1040 chip on Tekram DC3x5) driver
# (w) 5/2000, garloff@suse.de

ifndef TOPDIR
KDIR := /usr/src/linux

TARGETS := Rules.make arch .config dc395x_trm.o
.PHONY: dc395x_trm.o

default: $(TARGETS)
module: $(TARGETS)

Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make .

arch: $(KDIR)/arch
	rm -f arch
	ln -s $(KDIR)/arch .

.config: $(KDIR)/.config
	cp -pf $(KDIR)/.config .

clean:
	rm -f $(TARGETS)

ifdef FORCE_NEW_EH
	EDEFS="FORCE_NEW_EH=1"
endif

dc395x_trm.o:
	$(MAKE) -f Makefile.dc395 KDIR=$(KDIR) $(EDEFS)

install: 
	$(MAKE) -f Makefile.dc395 KDIR=$(KDIR) $(EDEFS) install_mod 
	
load:
	$(MAKE) -f Makefile.dc395 KDIR=$(KDIR) $(EDEFS) load_module

endif

## kernel-patch-tekram-dc3x5 1.38-1

=== debian/changelog ===
kernel-patch-tekram-dc3x5 (1.38-1) unstable; urgency=medium

  * New upstream version.
  * Make sure it applies cleanly to kernel 2.4.18
    + Urgency medium since this is pretty important

 -- Baruch Even <baruch@debian.org>  Sun,  7 Apr 2002 01:39:33 +0300

kernel-patch-tekram-dc3x5 (1.34-1) unstable; urgency=low

  * New upstream version. (Closes: bug#120361)

 -- Baruch Even <baruch@debian.org>  Fri, 23 Nov 2001 14:14:24 +0200

kernel-patch-tekram-dc3x5 (1.33-2) unstable; urgency=low

  * Changed priority to Extra to fix disparity with override file.
  * Added patch for 2.4.9 (Closes: bug#111280)

 -- Baruch Even <baruch@debian.org>  Sat,  8 Sep 2001 12:12:30 +0300

kernel-patch-tekram-dc3x5 (1.33-1) unstable; urgency=low

  * Initial Release.
  * wnpp ITP bug. (Closes: #109916)
  * Modified the 2.2.19 patch a bit to apply cleanly (there was a problem with the MAINTAINERS file)
  * Modified the 2.2.19 patch to include the added files trm395x_trm.[ch]

 -- Baruch Even <baruch@debian.org>  Sat, 25 Aug 2001 13:00:08 +0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kernel-patch-tekram-dc3x5
Section: devel
Priority: extra
Maintainer: Baruch Even <baruch@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dh-kpatches
Standards-Version: 3.5.6

Package: kernel-patch-tekram-dc3x5
Architecture: all
Depends: patch
Suggests: kernel-source-2.2.20 | kernel-source-2.4.18, kernel-package
Description: Tekram SCSI host DC3x5 support
 DC3x5 is a SCSI host by Tekram which is not supported out of the box by
 the Linux kernel. This patch adds support for the card to the Linux kernel.
 The cards supported are DC315 and DC395, both based on the TRM-S1040
 chipset.
 .
 This package supports 2.2.20 & 2.4.18 kernels. Older and newer 2.2.x and
 2.4.x should work too.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installkpatches


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
http://www.garloff.de /kurt/linux/dc395/ dc395-(.*)\\.tar\\.gz   138
